Header set Access-Control-Allow-Origin "*"

RewriteEngine on

#1)externally redirect "/file.html" to "/file"
RewriteCond %{THE_REQUEST} /([^.]+)\.html [NC]
RewriteRule ^ /%1 [NC,L,R]
#2)Internally map "/file" back to "/file.html"
RewriteCond %{REQUEST_FILENAME}.html -f
RewriteRule ^(.*?)/?$ /$1.html [NC,L]

#RewriteEngine on
#RewriteCond %{REQUEST_FILENAME} !-f
#RewriteCond %{REQUEST_FILENAME} !-d
#RewriteCond %{REQUEST_URI} !\.html$ [NC]
#RewriteRule ^(.*)$ $1.html [L]
